Subject: bug#17978: 24.3; forward-paragraph broken with javadocs

From: Dmitry <[email-masked]>
Date: Fri, 11 Jul 2014 10:46:31 +0300

Dmitry <[email-masked]> writes:

> This doesn't look straightforward to do, though: the final
> `paragraph-start' is obtained by calling `c-setup-paragraph-variables',
> so to get the value computed both ways, guess we'll have to call it at
> least twice.

Or maybe we should save the computed value, but then kill the
buffer-local value of `paragraph-start'?

This actually seems to be what Justine is asking for, because the
"unexpected" paragraph movement happens not just because of javadocs,
but also due to the "empty" lines within the comment.

`c-setup-paragraph-variables' intentionally sets the variable up this
way, so maybe we should consider more carefully whether
`backward-paragraph' should stop at those lines.